Summary: KDE Frameworks 5 Tier 1 solution for spell checking
Name:    kf5-sonnet
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/sonnet
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/sonnet-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$

BuildRequires:  aspell-devel, hspell-devel, libvoikko-devel, extra-cmake-modules >= %{majmin}
BuildRequires:  hunspell-devel
BuildRequires:  kf5-rpm-macros >= %{majmin}, qt5-qtbase-devel, qt5-qtdeclarative-devel, qt5-qttools-devel
BuildRequires:  zlib-devel, make

Requires:       kf5-filesystem >= %{majmin}
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-ui = %{version}-%{release}

%description
KDE Frameworks 5 Tier 1 solution for spell checking.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        core
Summary:        Non-gui part of the Sonnet framework
%description    core
Non-gui part of the Sonnet framework provides low-level spell checking tools

%package        ui
Summary:        GUI part of the Sonnet framework
Requires:       %{name}-core = %{version}-%{release}
%description    ui
GUI part of the Sonnet framework provides widgets with spell checking support.


%prep
%autosetup -n sonnet-%{version} -p1


%build
%{cmake_kf5} \
  %{?tests:-DBUILD_TESTING:BOOL=ON}
%cmake_build


%install
%cmake_install

%find_lang_kf5 sonnet5_qt


%check


%files
%license LICENSES/*.txt
%doc README.md

%files core
%{_kf5_libdir}/libKF5SonnetCore.so.*
%{_kf5_datadir}/qlogging-categories5/*categories

%dir %{_kf5_plugindir}/sonnet/
%{_kf5_plugindir}/sonnet/sonnet_hunspell.so

%{_kf5_bindir}/parsetrigrams
%{_kf5_bindir}/gentrigrams
%{_kf5_qmldir}/org/kde/sonnet/
%{_kf5_plugindir}/sonnet/sonnet_aspell.so
%{_kf5_plugindir}/sonnet/sonnet_hspell.so
%{_kf5_plugindir}/sonnet/sonnet_voikko.so

%files ui -f sonnet5_qt.lang
%{_kf5_libdir}/libKF5SonnetUi.so.*
%{_kf5_qtplugindir}/designer/*5widgets.so

%files devel
%{_kf5_includedir}/Sonnet/
%{_kf5_includedir}/SonnetCore/
%{_kf5_includedir}/SonnetUi/
%{_kf5_libdir}/libKF5SonnetCore.so
%{_kf5_libdir}/libKF5SonnetUi.so
%{_kf5_libdir}/cmake/KF5Sonnet/
%{_kf5_archdatadir}/mkspecs/modules/qt_SonnetCore.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_SonnetUi.pri


%changelog
* Mon Nov 20 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
